# Uses of Interface
javax.swing.event.MenuListener

Packages that use MenuListener
Package
Description
com.sun.java.accessibility.util
Provides a collection of interfaces and classes that compose the Java Accessibility Utilities.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.

## Uses of MenuListener in com.sun.java.accessibility.util

Methods in com.sun.java.accessibility.util with parameters of type MenuListener
Modifier and Type
Method
Description
`static void`
SwingEventMonitor.`addMenuListener​(MenuListener l)`
Adds the specified listener to receive all `MENU` events on each component instance in the Java Virtual Machine as they occur.
`static void`
SwingEventMonitor.`removeMenuListener​(MenuListener l)`
Removes the specified listener so it no longer receives `MENU` events when they occur.

## Uses of MenuListener in javax.swing

Methods in javax.swing that return MenuListener
Modifier and Type
Method
Description
`MenuListener[]`
JMenu.`getMenuListeners()`
Returns an array of all the `MenuListener`s added to this JMenu with addMenuListener().
Methods in javax.swing with parameters of type MenuListener
Modifier and Type
Method
Description
`void`
JMenu.`addMenuListener​(MenuListener l)`
Adds a listener for menu events.
`void`
JMenu.`removeMenuListener​(MenuListener l)`
Removes a listener for menu events.

## Uses of MenuListener in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as MenuListener
Modifier and Type
Field
Description
`protected MenuListener`
BasicMenuUI.`menuListener`
The instance of `MenuListener`.
Methods in javax.swing.plaf.basic that return MenuListener
Modifier and Type
Method
Description
`protected MenuListener`
BasicMenuUI.`createMenuListener​(JComponent c)`
Returns an instance of `MenuListener`.